# makefile for libpng
# Copyright (C) 1998 Tim Wegner
# For conditions of distribution and use, see copyright notice in png.h
# Assumes that zlib.lib, zconf.h, and zlib.h have been copied to ..\zlib
# To use, do "nmake /f scripts\makefile.vcawin32"

# -------- Microsoft Visual C++ 5.0 and later, uses assembler code --------

# Caution: the assembler code was introduced at libpng version 1.0.4 and has
# not yet been thoroughly tested.

# If you don't want to use assembler code, use makefile.vcwin32 instead.

CFLAGS=-DPNG_USE_PNGVCRD -Ox -GA3s -nologo -W3 -I..\zlib

CC=cl
LD=link
LDFLAGS= 
O=.obj

PROGRAMS=D:\P

ZL_DEF=-DHAVE_ZLIB_H=1
ZL_DIR=-I$(PROGRAMS)\Zlib\Include
ZL_LIB=$(PROGRAMS)\Zlib\lib\zlib.lib


.c.obj:
	$(CC) /nologo -DWIN32 -D_WIN32 -D_MT -D_DLL -MD -O -I. $(ZL_DIR) $(ZL_DEF) $(CFLAGS) $(VERSNO) -c $*.c


#uncomment next to put error messages in a file
#ERRFILE= >> pngerrs

# variables
OBJS1 = png$(O) pngset$(O) pngget$(O) pngrutil$(O) pngtrans$(O) pngwutil$(O)
OBJS2 = pngmem$(O) pngpread$(O) pngread$(O) pngerror$(O) pngwrite$(O)
OBJS3 = pngrtran$(O) pngwtran$(O) pngrio$(O) pngwio$(O) pngvcrd$(O)

all: libpng.lib

libpng.lib: $(OBJS1) $(OBJS2) $(OBJS3)
	echo something to del > libpng.lib
	del libpng.lib
	$(LD) /nologo /NODEFAULTLIB /INCREMENTAL:NO /RELEASE /dll /pdb:none /machine:I386 /def:"libpng.def" /out:"libpng.dll" /implib:"libpng.lib" $(OBJS1) $(OBJS2) $(OBJS3) $(ZL_LIB) msvcrt.lib kernel32.lib


pngtest.exe: pngtest.obj libpng.lib
	$(LD) $(LDFLAGS) pngtest.obj libpng.lib ..\zlib\zlib.lib /OUT:pngtest.exe /SUBSYSTEM:CONSOLE

test: pngtest.exe
	pngtest

# End of makefile for libpng

